function [X,V,N]=geod(X,V,long);
% On part d'un point X sur l'objet et d'un vecteur vitesse V de TxM et on
% integre la geodesique sur une longueur long en transportant V parallelement
n=10;
Y=zeros(6,n+1);
cour=zeros(n+1,1);
%Integration de la courbe sur le corps
h=long/n;
h2=h/2;
V=V/norm(V);
Y(1:3,1)=X;Y(4:6,1)=V;

for i=2:n
    Y1=Y(:,i-1);
    ff1=f1(Y1);
    Y2=Y1+h2*ff1;
    ff2=f1(Y2);
    Y3=Y1+h2*ff2;
    ff3=f1(Y3);
    Y4=Y1+h*ff3;
    Y(:,i)=Y1+h/6*(ff1+2*ff2+2*ff3+f1(Y4));
    V=Y(4:6,i);V=V/norm(V);Y(4:6,i)=V;
end
Y1=Y(:,n);
ff1=f1(Y1);
Y2=Y1+h2*ff1;
ff2=f1(Y2);
Y3=Y1+h2*ff2;
ff3=f1(Y3);
Y4=Y1+h*ff3;
Y(:,n+1)=Y1+h/6*(ff1+2*ff2+2*ff3+f1(Y4));
[X,N]=proj(Y(1:3,n+1));
V=Y(4:6,n+1);
V=V-(V'*N)*N;V=V/norm(V);
