function [X,G,H]=proj(x);
lambda=1;
eps=0.00001;
for i=1:6
    X=lambda.*x;
    Fv=F(X(1,1),X(2,1),X(3,1));
    dfdx=(F(X(1,1)+eps,X(2,1),X(3,1))-Fv)/eps;
    dfdy=(F(X(1,1),X(2,1)+eps,X(3,1))-Fv)/eps;
    dfdz=(F(X(1,1),X(2,1),X(3,1)+eps)-Fv)/eps;
    Fp=x(1,1).*dfdx+x(2,1).*dfdy+x(3,1).*dfdz;
    lambda=lambda-Fv./Fp;
end
G=[dfdx;dfdy;dfdz];
G=G/norm(G);
d2fdx2=(F(X(1,1)+eps,X(2,1),X(3,1))-2*Fv+F(X(1,1)-eps,X(2,1),X(3,1)))/eps/eps;
d2fdy2=(F(X(1,1),X(2,1)+eps,X(3,1))-2*Fv+F(X(1,1),X(2,1)-eps,X(3,1)))/eps/eps;
d2fdz2=(F(X(1,1),X(2,1),X(3,1)+eps)-2*Fv+F(X(1,1),X(2,1),X(3,1)-eps))/eps/eps;
d2fdxdy=(F(X(1,1)+eps,X(2,1)+eps,X(3,1))-F(X(1,1)+eps,X(2,1),X(3,1)) ...
        -F(X(1,1),X(2,1)+eps,X(3,1))+Fv)/eps/eps;
d2fdxdz=(F(X(1,1)+eps,X(2,1),X(3,1)+eps)-F(X(1,1)+eps,X(2,1),X(3,1)) ...
        -F(X(1,1),X(2,1),X(3,1)+eps)+Fv)/eps/eps;
d2fdydz=(F(X(1,1),X(2,1)+eps,X(3,1)+eps)-F(X(1,1),X(2,1),X(3,1)+eps) ...
        -F(X(1,1),X(2,1)+eps,X(3,1))+Fv)/eps/eps;
H=[d2fdx2 d2fdxdy d2fdxdz;d2fdxdy d2fdy2 d2fdydz;d2fdxdz d2fdydz d2fdz2];
