function [Y]=releve(X,V,xs,ys);
% Etant donne un controle (une courbe) u sur le plan, on fait rouler
% le corps en partant du point X avec l'orientation V. 
n=size(xs,2);
Y=zeros(9,n);
V1=zeros(1,2);
Y(1:3,1)=X;Y(7:9,1)=V;
for i=2:n
    V1(1)=xs(i)-xs(i-1);
    V1(2)=ys(i)-ys(i-1);
    h=norm(V1);h2=h/2;V1=V1/h;
    [X,N]=proj(Y(1:3,i-1));
    V=Y(7:9,i-1);
    Y(4:6,i-1)=V1(1)*V+V1(2)*cross(V,N);
    
    % On integre Y'=f2(Y) avec Runge Kutta
    Y1=Y(:,i-1);
    ff1=f2(Y1);
    Y2=Y1+h2*ff1;
    ff2=f2(Y2);
    Y3=Y1+h2*ff2;
    ff3=f2(Y3);
    Y4=Y1+h*ff3;
    Y(:,i)=Y1+h/6*(ff1+2*ff2+2*ff3+f2(Y4));
end
