function roule
%
% On definit l'interface utilisateur. Les menus deroulants et les objets graphiques
%
clear all
global t rouleHndl resetHndl calculHndl r1Hndl r2Hndl

figure1=figure;
% Menu Objet
menuobjet=uimenu('Label','Objet');
uimenu(menuobjet,'Label','Sphere','Callback','fonc(''x.^2+y.^2+z.^2-1'');');
uimenu(menuobjet,'Label','Soucoupe','Callback','fonc(''x.^2+y.^2+5*z.^2-1'');');
uimenu(menuobjet,'Label','Rugby','Callback','fonc(''x.^2+5*y.^2+5*z.^2-1'');');
uimenu(menuobjet,'Label','Quit','Callback','exit',...
    'Separator','on','Accelerator','Q');

% Menu Action
menuaction=uimenu('Label','Action');
uimenu(menuaction,'Label','Courbe sur le plan','Callback','courbe');
uimenu(menuaction,'Label','Roulement','Callback','mpp');

% Chaine decrivant F
%pos=get(gcf,'position');
TxtHandle=uicontrol('Style'              ,'text'         , ...
    'Units'              ,'points'       , ...
    'Position'           ,[1 1 180 20], ...
    'String'             ,' Fonction F(x,y,z) decrivant l''objet', ...
    'Tag'                ,'MessageBox'   , ...
    'HorizontalAlignment','left'           ...    
    );

t = uicontrol('style','edit','backgroundcolor',[1 1 1],'tag','edtext');
set(t,'visible','on','string','',...
    'callback',['global t,h=get(t,''String''); ' ...
    '   fonc(h);'], ...
    'units','pixels',...
    'position',[230 1 200 25] ...
    );
subplot(2,2,1),plot3(0,0,0);cla;axis([-1 1 -1 1 -1 1]);axis square;
subplot(2,2,3),plot3(0,0,0);cla;axis([-1 1 -1 1 -1 1]);axis square;
subplot(2,2,2),plot(7,5,'w');hold on;axis([0 14 0 10]); axis equal;

% Mise en place des boutons


%===================================
% Information for all buttons
xPos=0.85;
btnLen=0.10;
btnWid=0.04;
% Spacing between the button and the next command's label
spacing=0.05;

%====================================
% The CONSOLE frame
frmPos=[0.54 0.3 0.38 0.05];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.50 0.50 0.50]);

%====================================
% Le bouton Start
labelStr='Roule';
callbackStr='dessine';

% Generic button information
btnPos=[0.56 0.305 btnLen btnWid];
rouleHndl=uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'String',labelStr, ...
    'Enable','off', ...
    'Interruptible','on', ...
    'Callback',callbackStr);

%====================================
% The RESET button
labelStr='Reset';
% Setting userdata to -1 (=stop) will stop the demo.
callbackStr='reinit';

% Generic  button information
btnPos=[0.68 0.305 btnLen btnWid];
resetHndl=uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'Enable','off', ...
    'String',labelStr, ...
    'Callback',callbackStr);

%====================================
% The RESET button
labelStr='Calcul';
callbackStr='calcul';
calculHndl=uicontrol( ...
    'Style','pushbutton', ...
    'Units','normalized', ...
    'position',[0.8 0.305 btnLen btnWid], ...
    'Enable','off', ...
    'string',labelStr, ...
    'call',callbackStr);
%====================================
% The CONSOLE frame
frmPos=[0.68 0.4 0.14 0.05];
uicontrol( ...
    'Style','frame', ...
    'Units','normalized', ...
    'Position',frmPos, ...
    'BackgroundColor',[0.50 0.50 0.50]);

%====================================
% Le bouton R1
callbackStr='tourne(1)';
btnLen=0.04;
btnWid=0.04;
% Generic button information
btnPos=[0.7 0.405 btnLen btnWid];
r1Hndl=uicontrol( ...
    'Style','togglebutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'String','R1', ...
    'Enable','off', ...
    'Interruptible','on', ...
    'Callback',callbackStr);
%====================================
% Le bouton R2
callbackStr='tourne(2)';

% Generic button information
btnPos=[0.76 0.405 btnLen btnWid];
r2Hndl=uicontrol( ...
    'Style','togglebutton', ...
    'Units','normalized', ...
    'Position',btnPos, ...
    'String','R2', ...
    'Enable','off', ...
    'Interruptible','on', ...
    'Callback',callbackStr);
%subplot(2,2,4),comHndl = text(0.5,0.5,'Roulement d''objets convexes sur un plan', ...
%           'HorizontalAlignment','center');


